import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  { path: '', redirectTo: 'auth/login', pathMatch: 'full' },
  { path: 'auth/login', loadChildren: './pages/auth/login/login.module#LoginPageModule' },
  { path: 'auth/registre', loadChildren: './pages/auth/registre/registre.module#RegistrePageModule' },
  { path: 'home', loadChildren: './pages/home/home.module#HomePageModule' },
  { path: 'manteniment/patrocinadors', loadChildren: './pages/manteniment/patrocinadors/patrocinadors.module#PatrocinadorsPageModule' },
  { path: 'manteniment/tipus-partit', loadChildren: './pages/manteniment/tipus-partit/tipus-partit.module#TipusPartitPageModule' },
  { path: 'manteniment', loadChildren: './pages/manteniment/manteniment.module#MantenimentPageModule' },  
  { path: 'email', loadChildren: './pages/comunicacio/email/email.module#EmailPageModule' },
  { path: 'calendari', loadChildren: './pages/calendari/calendari.module#CalendariPageModule' },  
  { path: 'noticies', loadChildren: './pages/noticies/noticies.module#NoticiesPageModule' },
  { path: 'partits', loadChildren: './pages/partits/partits.module#PartitsPageModule' },
  { path: 'manteniment/partits', loadChildren: './pages/manteniment/partits/partits.module#PartitsPageModule' },
  { path: 'partits/info-partit/:id', loadChildren: './pages/partits/info-partit/info-partit.module#InfoPartitPageModule' },
  { path: 'manteniment/equips', loadChildren: './pages/manteniment/equips/equips.module#EquipsPageModule' },  
  { path: 'manteniment/xarxes', loadChildren: './pages/manteniment/xarxes/xarxes.module#XarxesPageModule' },   { path: 'equips', loadChildren: './pages/equips/equips.module#EquipsPageModule' },
  { path: 'notificacions', loadChildren: './pages/notificacions/notificacions.module#NotificacionsPageModule' }, 
];

@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule { }
