import { LOCALE_ID, NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RouteReuseStrategy } from '@angular/router';

import { IonicModule, IonicRouteStrategy } from '@ionic/angular';
import { SplashScreen } from '@ionic-native/splash-screen/ngx';
import { StatusBar } from '@ionic-native/status-bar/ngx';

import { AppComponent } from './app.component';
import { AppRoutingModule } from './app-routing.module';
import { InAppBrowser } from "@ionic-native/in-app-browser/ngx";
import { HttpClientModule } from '@angular/common/http';
// OneSignal
import { OneSignal } from "@ionic-native/onesignal/ngx";
//FontAwesome
import { FontAwesomeModule, FaIconLibrary} from "@fortawesome/angular-fontawesome";
import { fas } from "@fortawesome/free-solid-svg-icons";
import { far } from "@fortawesome/free-regular-svg-icons";
import { fab } from "@fortawesome/free-brands-svg-icons";

//locale
import { registerLocaleData } from "@angular/common";
import localeCa from '@angular/common/locales/ca'
registerLocaleData(localeCa,'ca');

//Backendless Api
import Backendless from 'backendless';
const APP_ID = '589551CD-9F56-C87C-FF40-4502E627CE00';
const API_KEY = 'B8BFD01C-B219-46EE-BD79-71CF7AD4B108';
Backendless.initApp(APP_ID, API_KEY);
// end Backendless API

@NgModule({
  declarations: [AppComponent],
  entryComponents: [],
  imports: [BrowserModule, IonicModule.forRoot(), AppRoutingModule, HttpClientModule, FontAwesomeModule],
  providers: [
    StatusBar,
    SplashScreen,
    InAppBrowser,    
    { provide: RouteReuseStrategy, useClass: IonicRouteStrategy },
    OneSignal,
    { provide: LOCALE_ID, useValue:'ca' }
  ],
  bootstrap: [AppComponent]
})
export class AppModule {
  constructor(library:FaIconLibrary){
    library.addIconPacks(fas, far, fab);
  }
}
