import { Component, OnInit } from '@angular/core';
import { UsersService, Usuari } from "src/app/services/users.service";
import { Router } from "@angular/router";
import { AlertService } from 'src/app/services/alert.service';

@Component({
  selector: 'app-registre',
  templateUrl: './registre.page.html',
  styleUrls: ['./registre.page.scss'],
})
export class RegistrePage implements OnInit {
  
  togglePolitica = false;

  constructor(private userService: UsersService, private router: Router, private alertService: AlertService) {

  }

  ngOnInit() {
  }

  private mostraAlert() {

    return this.alertService.showAlert({
      header: "Usuari Registrat",
      message: "Mira el teu email, i segueix l'enllaç per activar el teu usuari.",
      buttons: [{ text: 'Entés', role: 'ok', handler: () => { this.router.navigateByUrl("/auth/login"); } }]
    });

  }

  registreUsuari(form: any) {
    console.log(form);
    const newUser: Usuari = new Usuari();
    newUser.name = form.form.value.nom;
    newUser.llinatge1 = form.form.value.llinatge1;
    newUser.llinatge2 = form.form.value.llinatge2;
    newUser.email = form.form.value.email;
    newUser.password = form.form.value.password;
    newUser.username = form.form.value.email;

    this.userService.registerUser(newUser)
      .then((registeredUser) => {
        console.log("Usuari registrat OK: " + registeredUser.name);
        this.mostraAlert().then(missatge => missatge.present());
      })
      .catch((error) => { this.alertService.showToast(error.message) });
  }

}