import { Component, OnInit } from '@angular/core';
import { BackendlessService } from 'src/app/services/backendless.service';
import { AlertService } from 'src/app/services/alert.service';

@Component({
  selector: 'app-calendari',
  templateUrl: './calendari.page.html',
  styleUrls: ['./calendari.page.scss'],
})
export class CalendariPage implements OnInit {

  urlCalendari:string;
  

  constructor(private backendless:BackendlessService,private alertService: AlertService) {
    this.fetchUrlCalendari();
   }

  ngOnInit() {
  }

  fetchUrlCalendari(){
    let qb = Backendless.DataQueryBuilder.create().setWhereClause("nom='calendari'");
    this.backendless.getXarxes(qb)
        .then(resp =>{
          console.log("Url calendari: ",resp[0]);
            //this.urlCalendari ="https://calendar.google.com/calendar/embed?wkst=1&amp;bgcolor=%23ffffff&amp;ctz=Europe%2FMadrid&amp;src="+resp[0].url+"&amp;color=%23402175&amp;hl=ca&amp;showTitle=0&amp;showCalendars=0&amp;showTabs=0&amp;mode=WEEK";
            let xarxa:any = resp[0];
            this.urlCalendari = xarxa.url;
        })
        .catch(err => this.alertService.handleError(err))
  }

}
