import { Component, OnInit } from '@angular/core';
import { MessagingService } from 'src/app/services/messaging.service';
import { AlertService } from 'src/app/services/alert.service';

@Component({
  selector: 'app-email',
  templateUrl: './email.page.html',
  styleUrls: ['./email.page.scss'],
})
export class EmailPage implements OnInit {

  constructor(private messaging:MessagingService, private alertService:AlertService) { }

  ngOnInit() {
  }

  //ToDo: configurar a backendless el servidor de correu
  enviar(form:any){    
    this.messaging.sendEmail(form.form.value.nom, form.form.value.subject, form.form.value.body,form.form.value.email)
        .then((response)=>this.alertService.showToast("Email enviat!"))
        .catch((error)=> this.alertService.handleError(error));   
  }
}
