import { Component, OnInit } from '@angular/core';
import { BackendlessService } from 'src/app/services/backendless.service';
import { AlertService } from 'src/app/services/alert.service';

@Component({
  selector: 'app-equips',
  templateUrl: './equips.page.html',
  styleUrls: ['./equips.page.scss'],
})
export class EquipsPage implements OnInit {

  listEquips: any[];

  constructor(private backendless: BackendlessService, private alertService: AlertService) { 
    this.fetchElements();
  }

  ngOnInit() {
  }


  fetchElements() {
    console.log("fetching elements from categories");
    this.backendless.fetch("categoria")
      .then(response => {
        console.log(response);
        this.listEquips = response;
      })
      .catch(responseError => {
        this.alertService.handleError(responseError);
      });
  }

}
