import { Component, OnInit } from '@angular/core';
import { BackendlessService } from 'src/app/services/backendless.service';
import { AlertService } from 'src/app/services/alert.service';

@Component({
  selector: 'app-equips',
  templateUrl: './equips.page.html',
  styleUrls: ['./equips.page.scss'],
})
export class EquipsPage implements OnInit {

  listEquips: any[];
  listPatrocinadors: any[];
  tipusElements: string;
  objectId: string;
  nom: string;
  patrocinador: any[];
  url: string;
  botonsAlert: any[];
  configAlert: any;

  constructor(private backendless: BackendlessService, private alertService: AlertService) {
    this.tipusElements = "categoria";
    this.initFormInputs();
    this.botonsAlert = [{ text: 'Entés', role: 'ok' }];
    this.configAlert = {
      header: "Equip Registrat",
      message: "Equip registrat correctament",
      buttons: this.botonsAlert
    };
    this.fetchElements();
    this.fetchPatrocinadors();

  }

  ngOnInit() {
  }

  initFormInputs() {
    this.nom = "";
    this.objectId = "";
    this.url = "";
  }

  private addRelationEquipPatrocinador(obj: any, childArray: any[]) {
    console.log("OBJ: ");
    console.log(obj);
    console.log("************");
    console.log("ChildArray: ");
    console.log(childArray);
    console.log("************");
    this.backendless.addRelation(this.tipusElements, obj, "patrocinador", childArray)
      .then((response) => { console.log("Response addRelation: ", response) })
      .catch(err => this.alertService.handleError(err));
  }
  registreEquip(form: any) {
    console.log(form);
    let objEquip: { [k: string]: any } = { nom: form.form.value.nom, url: form.form.value.url };
    let msstg = this.configAlert;
    let objid = form.form.value.objectId;
    let sponsor = form.form.value.patrocinador
    if (typeof objid !== undefined && objid.length > 0) {
      console.log(objid);
      objEquip.objectId = objid;
      msstg.header = "Equip Modificat";
      msstg.message = "Equip modificat correctament";
    }

    this.backendless.setCategories(objEquip)
      .then((response) => {
        this.alertService.showAlert(this.configAlert).then(missatge => missatge.present());
        if (sponsor.length > 0) {
          console.log("AddRelation");
          this.addRelationEquipPatrocinador(response, sponsor);
        }
        this.fetchElements();
        //this.initFormInputs();
        form.reset();
      })
      .catch((error) => { this.alertService.handleError(error) });

  }

  fetchElements() {
    console.log("fetching elements from categories");
    this.backendless.fetch("categoria")
      .then(response => {
        console.log(response);
        this.listEquips = response;
      })
      .catch(responseError => {
        this.alertService.handleError(responseError);
      });
  }

  fetchPatrocinadors() {
    console.log("fetching elements from categories");
    this.backendless.fetch("patrocinadors")
      .then(response => {
        console.log(response);
        this.listPatrocinadors = response;
      })
      .catch(responseError => {
        this.alertService.handleError(responseError);
      });
  }

  modificar(item: any) {
    console.log(item);
    this.nom = item.nom;
    this.objectId = item.objectId;
  }

}
