import { Component, OnInit } from '@angular/core';
import { BackendlessService } from 'src/app/services/backendless.service';
import { AlertService } from 'src/app/services/alert.service';

@Component({
  selector: 'app-partits',
  templateUrl: './partits.page.html',
  styleUrls: ['./partits.page.scss'],
})
export class PartitsPage implements OnInit {

  listCategories: any[];
  listTipusPartit: any[];
  objectId: string;


  url: string;
  botonsAlert: any[];
  configAlert: any;

  constructor(private backendless: BackendlessService, private alertService: AlertService) {
    this.botonsAlert = [{ text: 'Entés', role: 'ok' }];
    this.configAlert = {
      header: "Partit Registrat",
      message: "Partit registrat correctament",
      buttons: this.botonsAlert
    };
    this.fetchRelacions();
  }

  private addRelationPartitCategoriaPartitTipus(obj: any, columna: string, relacions: any[]) {
    console.log("OBJ: ");
    console.log(obj);
    console.log("************");
    console.log("ChildArray: ");
    console.log(relacions);
    console.log("************");
    console.log("Columna: " + columna);
    console.log("************");
    this.backendless.addRelation("partits", obj, columna, relacions)
      .then((response) => { console.log("Response addRelation " + columna + ": " + response) })
      .catch(err => this.alertService.handleError(err));
  }

  fetchRelacions() {
    console.log("fetching elements from categories");
    this.backendless.fetch("categoria")
      .then(response => {
        console.log(response);
        this.listCategories = response;
      })
      .catch(responseError => {
        this.alertService.handleError(responseError);
      });

    this.backendless.fetch("tipusPartit")
      .then(response => {
        console.log(response);
        this.listTipusPartit = response;
      })
      .catch(responseError => {
        this.alertService.handleError(responseError);
      });

  }


  registrePartit(form: any) {
    console.log(form);
    let objpartit: { [k: string]: any } =
    {
      lloc: form.form.value.lloc,
      rival: form.form.value.rival,
      dataHora: form.form.value.datahora,
      somEquipLocal: form.form.value.somEquipLocal
    };

    let categoria = form.form.value.categoria;
    let tipusPartit = form.form.value.tipusPartit
    console.log(categoria);
    console.log(tipusPartit);

    this.backendless.setPartit(objpartit)
      .then((response) => {
        this.alertService.showAlert(this.configAlert).then(missatge => missatge.present());
        if (categoria) {
          console.log("AddRelation Partit - Categoria");
          this.addRelationPartitCategoriaPartitTipus(response, "categoria", [categoria]);
        }
        if (tipusPartit) {
          console.log("AddRelation Partit - TipusPartit");
          this.addRelationPartitCategoriaPartitTipus(response, "tipusPartit", [tipusPartit]);
        }

        form.reset();
      })
      .catch((error) => { this.alertService.handleError(error) });

  }

  ngOnInit() {
  }

}
