import { Component, OnInit } from '@angular/core';
import { BackendlessService } from 'src/app/services/backendless.service';
import { AlertService } from 'src/app/services/alert.service';

@Component({
  selector: 'app-tipus-partit',
  templateUrl: './tipus-partit.page.html',
  styleUrls: ['./tipus-partit.page.scss'],
})
export class TipusPartitPage implements OnInit {

  listTipusPartit:any[];
  nom:string;
  tipusElements:string;
  objectId:string;
  botonsAlert: any[];
  configAlert: any;
  constructor(private backendless:BackendlessService, private alertService:AlertService) { 
    
    this.tipusElements="tipusPartit";    
    this.botonsAlert = [{text:'Entés', role:'ok'}];
    this.configAlert = {
      header: "Tipus Partit Registrat",
      message: "Tipus Partit registrat correctament",
      buttons: this.botonsAlert
    };
    this.fetchElements();

  }

  ngOnInit() {}

  

  registreTipusPartit(form:any){    

    let objTipusPartit : {[k: string]:any} = { nom: form.form.value.nom };
    let msstg = this.configAlert;
    let objid =  form.form.value.objectId;
    if(typeof objid !== undefined && objid.length >0){
      console.log(objid);
      objTipusPartit.objectId = objid;
      msstg.header="Tipus Partit Modificat";
      msstg.message= "Tipus Partit modificat correctament";
    }
    
    this.backendless.setTipusPartit(objTipusPartit)
    .then(() => {      
      this.alertService.showAlert(this.configAlert).then(missatge=> missatge.present());
      this.fetchElements();
      form.reset();
    })
    .catch((error)=>{this.alertService.handleError(error)});
  }

  fetchElements(){
    console.log("fetching elements from tipusPartit");
    this.backendless.fetch("tipusPartit")
        .then(response =>{
          console.log(response);
          this.listTipusPartit=response;
        })
        .catch(responseError=>{          
          this.alertService.handleError(responseError);
        });    
  }

  modificar(item:any){
    console.log(item);
    this.nom=item.nom;
    this.objectId=item.objectId;
  }
}
