import { Component, OnInit } from '@angular/core';
import { AlertService } from 'src/app/services/alert.service';
import { BackendlessService } from 'src/app/services/backendless.service';

@Component({
  selector: 'app-xarxes',
  templateUrl: './xarxes.page.html',
  styleUrls: ['./xarxes.page.scss'],
})
export class XarxesPage implements OnInit {

  botonsAlert:any;
  configAlert:any;
  listXarxes:any[];
  tipusElements:string;
  nom:string;
  objectId:string;
  url:string;
  listTipusXarxa =['facebook','twitter','instagram','blog','calendari'];

  constructor(private backendless:BackendlessService, private alertService: AlertService) { 
    this.tipusElements="xarxes";
    this.botonsAlert = [{text:'Entés', role:'ok'}];
    this.configAlert = {
      header: "Xarxa registrada",
      message: "Xarxa registrada correctament",
      buttons: this.botonsAlert
    };
    this.fetchElements();
  }

  ngOnInit() {
  }

  enviar(form:any){

    let objxrx : {[k: string]:any} = { nom: form.form.value.nom.toLowerCase(), url: form.form.value.url.toLowerCase() };
    let msstg = this.configAlert;
    let objid =  form.form.value.objectId || '';
    
    if(typeof objid !== undefined && objid.length >0){
      console.log(objid);
      objxrx.objectId = objid;
      msstg.header="Xarxa Modificada";
      msstg.message= "Xarxa modificada correctament";
    }
   
    this.backendless.setXarxa(objxrx)
        .then((response)=>{ console.log("xarxa creat: ",response); form.reset(); this.fetchElements();})
        .catch(err=> this.alertService.handleError(err));

  }

  fetchElements(){
    console.log("fetching elements from xarxes");
    
    this.backendless.getXarxes(null)
        .then(response =>{
          console.log(response);
          this.listXarxes = response;
        })
        .catch(responseError=>{          
          this.alertService.handleError(responseError);
        });  
  }

  modificar(item:any){
    console.log(item);
    this.nom=item.nom;
    this.url=item.url;
    this.objectId=item.objectId;
  }




}
