import { Component, OnInit } from '@angular/core';
import { FeedserviceService } from 'src/app/services/feedservice.service';
import { InAppBrowser } from "@ionic-native/in-app-browser/ngx";
import { AlertService } from 'src/app/services/alert.service';
import { BackendlessService } from 'src/app/services/backendless.service';
import { FeedItem } from "../../models/feed-item";

@Component({
  selector: 'app-noticies',
  templateUrl: './noticies.page.html',
  styleUrls: ['./noticies.page.scss'],
})
export class NoticiesPage implements OnInit {
  articles: FeedItem[];
  loading:boolean;
  urlToFetch:string;
  constructor(private backendless:BackendlessService, private feedService:FeedserviceService, private iab:InAppBrowser, private alertService:AlertService) {  }
  
  ngOnInit() {
    this.fetchUrlToOpen();   
  }

  openArticle(url:string){
    this.iab.create(url, '_blank');
  } 
  
  fetchBlog(){
    this.loading = true;
    this.feedService.getArticlesFromFeed(this.urlToFetch)
    .subscribe(res =>{
      this.articles = res;
      this.loading=false;
    },(error)=>{
      this.alertService.handleError(error);
    });
  }

  fetchUrlToOpen(){
    let qb = Backendless.DataQueryBuilder.create().setWhereClause("nom='blog'");
    this.backendless.getXarxes(qb)
        .then(resp =>{
            let blog:any = resp[0];
            this.urlToFetch = blog.url;
            this.fetchBlog();
        })
        .catch(err => this.alertService.handleError(err))
  }
}
