import { Component, OnInit } from '@angular/core';
import { InAppBrowser } from '@ionic-native/in-app-browser/ngx';
import { FeedItem } from "../../models/feed-item"
import { FeedserviceService } from 'src/app/services/feedservice.service';
import { AlertService } from 'src/app/services/alert.service';

@Component({
  selector: 'app-notificacions',
  templateUrl: './notificacions.page.html',
  styleUrls: ['./notificacions.page.scss'],
})
export class NotificacionsPage implements OnInit {
  loading:boolean;
  notificacions:FeedItem[];
  hasNotifications:boolean;
  constructor(private iab:InAppBrowser,private com:FeedserviceService, private alertService:AlertService) { 
    this.fetchNotifications();
    this.hasNotifications = true;
  }

  ngOnInit() {  }

  openArticle(url:string){
    this.iab.create(url, '_blank');
  }

  fetchNotifications(){
      this.loading = true;
      this.com.getAllNotifications()
      .subscribe(res =>{
        this.notificacions = res;
        this.loading=false;
        this.hasNotifications = res.length > 0
      },(error)=>{
        this.alertService.handleError(error);
      });
  }

}
