import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from "@angular/router";
import { BackendlessService } from 'src/app/services/backendless.service';
import { AlertService } from 'src/app/services/alert.service';
import { UsersService } from 'src/app/services/users.service';

@Component({
  selector: 'app-info-partit',
  templateUrl: './info-partit.page.html',
  styleUrls: ['./info-partit.page.scss'],
})
export class InfoPartitPage implements OnInit {

  partitObj: { [k: string]: any };
  mostraForm: Boolean;
  botonsAlert: any;
  configAlert: any;
  partitId: string;
  esdelaDirectiva: Boolean;

  constructor(private route: ActivatedRoute,
    private backendless: BackendlessService,
    private alertservice: AlertService,
    private userservice: UsersService) {
    this.mostraForm = false;
    this.hasRole("Directiva");
    this.botonsAlert = [{ text: 'Entés', role: 'ok' }];
    this.configAlert = {
      header: "Tipus Partit Registrat",
      message: "Tipus Partit registrat correctament",
      buttons: this.botonsAlert
    };

  }

  ngOnInit() {
    this.route.params.subscribe(params => {
      console.log("ObjectId del partit: ", params['id']);
      this.getPartit(params['id']);
      this.partitId = params['id'];
    });
  }

  getPartit(id: string) {
    this.backendless.getPartitById(id)
      .then(result => { this.partitObj = result; console.log("partit obj", this.partitObj) })
      .catch(err => console.error("error", err));
  }

  actualitzaPartit(form: any) {

    console.log(form);
    this.mostraForm = false;
    console.log("partit abans d'actualitzar", this.partitObj);
    this.partitObj.resultatFinalLocal = form.form.value.resultatFinalLocal;
    this.partitObj.resultatFinalVisitant = form.form.value.resultatFinalVisitant;
    this.partitObj.observacions = form.form.value.observacions;
    let msstg = this.configAlert;


    msstg.header = "Partit Modificat";
    msstg.message = "S'han afegit correctament les dades";

    console.log("partit actualitzat", this.partitObj);

    this.backendless.setPartit(this.partitObj)
      .then(() => {
        this.alertservice.showAlert(this.configAlert).then(missatge => missatge.present());
        this.getPartit(this.partitId);

      })
      .catch((error) => { this.alertservice.handleError(error) });
  }

  hasRole(rol: string) {
    this.userservice.getUserRoles()
      .then(rolearray => {
        console.log("Array de Rols", rolearray);
        rolearray.forEach((val, i) => {
          if (val.toLowerCase() === rol.toLowerCase()) {
            this.esdelaDirectiva = true;
          }
        })
      });
  }




}
