import { Component, OnInit } from '@angular/core';
import { BackendlessService } from 'src/app/services/backendless.service';
import { AlertService } from 'src/app/services/alert.service';
import { Router } from '@angular/router';
import { UsersService } from 'src/app/services/users.service';

@Component({
  selector: 'app-partits',
  templateUrl: './partits.page.html',
  styleUrls: ['./partits.page.scss'],
})
export class PartitsPage implements OnInit {

  rows: any[];
  columns: any[];
  selected: any[];
  esdelaDirectiva: Boolean = false;
  //Exemple de com funciona ngx-datatable https://www.youtube.com/watch?v=_ym7bKfsMSs

  constructor(private backendless: BackendlessService, 
              private alert: AlertService, 
              private router: Router,
              private userservice:UsersService) {
    this.rows = [];
    this.selected = [];
    this.fetchPartits();
    this.hasRole("Directiva");
  }

  ngOnInit() { }

  fetchPartits() {
    this.backendless.getPartits()
      .then(resp => { this.rows = resp; console.log(resp) })
      .catch(error => console.error(error));
  }

  onSelect({ selected }) {
    this.router.navigate(['/partits/info-partit', selected[0].objectId]);
  }

  creaPartit(){
    this.router.navigate(['/manteniment/partits']);
  }

  hasRole(rol: string) {
    this.userservice.getUserRoles()
      .then(rolearray => {
        console.log("Array de Rols", rolearray);
        rolearray.forEach((val, i) => {
          if (val.toLowerCase() === rol.toLowerCase()) {
            this.esdelaDirectiva = true;
          }
        })
      });
  }  
}
