import { Injectable } from '@angular/core';
import { ToastController, AlertController } from '@ionic/angular';

@Injectable({
  providedIn: 'root'
})
export class AlertService {

  constructor(private toastController:ToastController,private alertController:AlertController) { }

  async showToast(message:any){
    const toast = await this.toastController.create({
      message: message,
      duration:2500,
      position:'top',
      color:'dark'
    });
    toast.present();
  }

  showAlert(config:any){
    return this.alertController.create(config);    
  }

  handleError(error:any){
    if(error.code !== undefined){
    console.error("ERROR -- Codi: ",error.code," Missatge: ",error.message);
    }else{
      console.error(error);
    }
  }
}
