import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { map } from 'rxjs/operators'
import { FeedItem } from "../models/feed-item";

@Injectable({
  providedIn: 'root'
})
export class FeedserviceService {

  constructor(private http: HttpClient) { }

  getArticlesFromFeed(urlxml: string) {
    let url = "https://api.rss2json.com/v1/api.json?rss_url=" + encodeURIComponent(urlxml);
    let articles = [];
    console.log("getArticlesFromFeed");
    return this.http.get(url)
      .pipe(map(data => data['items']))
      .pipe(map(response => {
        console.log(response)
        if (response === null) {
          return articles;
        }
        let objects = response;
        var length = 20;
        for (let i = 0; i < objects.length; i++) {
          let item = objects[i];
          var trimmedDescription = item.description.length > length ?
            item.description.substring(0, 80) + "..." : item.description;
          articles.push(new FeedItem(trimmedDescription, item.link, item.title));
        }
        console.log(articles);
        return articles;
      }));
  }

  getAllNotifications() {
    const headers = new HttpHeaders({ "Authorization": "Basic M2IwODkxZWItZGVjMS00Y2MxLTk0MjAtMTg4M2YyNjkzOGY3" });
    const url = "https://onesignal.com/api/v1/notifications?app_id=7964b9c7-b944-4742-82e8-cc9b4cb012bf"

    let notif = [];
    return this.http.get(url, { headers })
      .pipe(map(response => response['notifications']))
      .pipe(map(response => {
        console.log("OneSignal Notifications: ", response)
        if (response === null) {
          return notif;
        }
        let objects = response;
        console.log("Objects: ", objects);
        var length = 20;
        for (let i = 0; i < objects.length; i++) {
          let item = objects[i];
          console.log(item.headings.en);
          notif.push(new FeedItem(item.contents.en, item.url, item.headings.en));
        }
        return notif;
      }));
  }

}