import { Injectable } from '@angular/core';
import Backendless from 'backendless';

@Injectable({
  providedIn: 'root'
})
export class UsersService {

  constructor() { }

  getUserRoles() {
    return Backendless.UserService.getUserRoles();
  }

  restorePassword(identity: string) {
    return Backendless.UserService.restorePassword(identity);
  }

  registerUser(user: Usuari) {
    return Backendless.UserService.register<Usuari>(user);
  }

  updateUser(user:Usuari){
    return Backendless.UserService.update<Usuari>(user);
  }

  login(usuari: string, contrasenya: string, stayLogedIn: boolean = true) {
    return Backendless.UserService.login(usuari, contrasenya, stayLogedIn);
  }

  //https://backendless.com/docs/js/users_facebook_login.html
  loginFacebook(mapeig: Object, stayLogedIn: boolean = true) {
    return Backendless.UserService.loginWithFacebookSdk(mapeig, stayLogedIn);
  }

  //https://backendless.com/docs/js/users_login_with_twitter.html
  loginTwitter() {
    return Backendless.UserService.loginWithTwitter();
  }

  getCurrentUser() {
    return Backendless.UserService.getCurrentUser();
  }

  logOut() {
    return Backendless.UserService.logout();
  }

  loginGuest() {
    return Backendless.UserService.loginAsGuest(false);
  }
  isValidLogin() {
    return Backendless.UserService.isValidLogin();
  }
}

export class Usuari extends Backendless.User {
  name: string;
  llinatge1: string;
  llinatge2: string
}
